cascading.tuple.hadoop

## Class TupleSerialization.SerializationElementReader

- java.lang.Object
- - cascading.tuple.hadoop.TupleSerialization.SerializationElementReader

- All Implemented Interfaces:
    TupleInputStream.ElementReader
  Enclosing class:
    TupleSerialization

      public static class TupleSerialization.SerializationElementReader
      extends Object
      implements TupleInputStream.ElementReader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleSerialization.SerializationElementReader(TupleSerialization tupleSerialization)` Constructor SerializationElementReader creates a new SerializationElementReader instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `String` | `getClassNameFor(int token, DataInputStream inputStream)`
    `Comparator` | `getComparatorFor(int token, DataInputStream inputStream)`
    `TupleSerialization` | `getTupleSerialization()`
    `Object` | `read(Class type, DataInputStream inputStream)`
    `Object` | `read(int token, DataInputStream inputStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleSerialization.SerializationElementReader

          public TupleSerialization.SerializationElementReader(TupleSerialization tupleSerialization)

      Constructor SerializationElementReader creates a new SerializationElementReader instance.
      Parameters:
        `tupleSerialization` - of type TupleSerialization

  - ### Method Detail

    - #### getTupleSerialization

          public TupleSerialization getTupleSerialization()

    - #### read

          public Object read(int token,
                    DataInputStream inputStream)
                      throws IOException

      Specified by:
        `read` in interface `TupleInputStream.ElementReader`
      Throws:
        `IOException`

    - #### read

          public Object read(Class type,
                    DataInputStream inputStream)
                      throws IOException

      Specified by:
        `read` in interface `TupleInputStream.ElementReader`
      Throws:
        `IOException`

    - #### getComparatorFor

          public Comparator getComparatorFor(int token,
                                    DataInputStream inputStream)
                                      throws IOException

      Specified by:
        `getComparatorFor` in interface `TupleInputStream.ElementReader`
      Throws:
        `IOException`

    - #### getClassNameFor

          public String getClassNameFor(int token,
                               DataInputStream inputStream)
                                 throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `TupleInputStream.ElementReader`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.